Updates the task_activity_log with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
task_activity_log| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| task_id |
Task id |
globally unique identifier |
Optionally required : task_id, task_reference_back_office or task must be provided |
| task_reference_back_office |
Embedded code "task" using ERP PK when adding/updating task_activity_log |
string |
Optionally required : task_id, task_reference_back_office or task must be provided |
| task |
Embedded entity "task" using node when adding/updating task_activity_log |
task |
Optionally required : task_id, task_reference_back_office or task must be provided |
| task_activity_id |
task_activity_id |
globally unique identifier |
Optionally required : task_activity_id, task_activity_reference_back_office or task_activity must be provided |
| task_activity_reference_back_office |
Embedded code "task_activity" using ERP PK when adding/updating task_activity_log |
string |
Optionally required : task_activity_id, task_activity_reference_back_office or task_activity must be provided |
| task_activity |
Embedded entity "task_activity" using node when adding/updating task_activity_log |
task_activity |
Optionally required : task_activity_id, task_activity_reference_back_office or task_activity must be provided |
| user_id |
user_id |
globally unique identifier |
Optionally required : user_id, user_code or user must be provided |
| user_code |
Embedded code "user" using ERP PK when adding/updating task_activity_log |
string |
Optionally required : user_id, user_code or user must be provided |
| user |
Embedded entity "user" using node when adding/updating task_activity_log |
user |
Optionally required : user_id, user_code or user must be provided |
| contact_id |
contact_id |
globally unique identifier |
Optionally required : contact_id, contact_reference_back_office or contact must be provided |
| contact_reference_back_office |
Embedded code "contact" using ERP PK when adding/updating task_activity_log |
string |
Optionally required : contact_id, contact_reference_back_office or contact must be provided |
| contact |
Embedded entity "contact" using node when adding/updating task_activity_log |
contact |
Optionally required : contact_id, contact_reference_back_office or contact must be provided |
| subject |
Saubject |
string |
Max length: 64 |
| description |
Description |
string | |
| due_date |
Date+Time of the due date |
date |
Required |
| is_closed |
is_closed |
boolean | |
| date_closed |
Date+Time of the date_closed |
date |
Required |
| reference_back_office |
reference_back_office of task_activity_log |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "87303b94-6677-4173-b3c0-0930fce2bc6b",
"task_id": "36f424fc-e481-4c3f-a0ab-e899664bcc42",
"task_reference_back_office": "sample string 3",
"task_activity_id": "ac3bacd9-b1cb-4bdf-9ba0-ddc914e65cd5",
"task_activity_reference_back_office": "sample string 5",
"user_id": "30efeaa5-09ba-466d-a077-acee4293c2fc",
"user_code": "sample string 7",
"contact_id": "eb5256e4-5117-46a9-8e6d-8f9392a0c1ee",
"contact_reference_back_office": "sample string 9",
"subject": "sample string 10",
"description": "sample string 11",
"due_date": "2026-09-09T11:44:04.0693347+00:00",
"is_closed": true,
"date_closed": "2026-09-09T11:44:04.0693347+00:00",
"reference_back_office": "sample string 15",
"modified_dateutc": "2026-09-09T11:44:04.0875473+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.